# Method: projects.locations.spaces.catalogs.templates.revisions.create

- [HTTP request](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.request_body)
- [Response body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions/create#try-it)

Creates a template revision.

### HTTP request

`POST https://designcenter.googleapis.com/v1/{parent=projects/*/locations/*/spaces/*/catalogs/*/templates/*}/revisions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent in which the catalog template revisions request is created in following format: `projects/$project/locations/$location/spaces/$space/templates/$template` |

### Query parameters

| Parameters ||
|---|---|
| `catalogTemplateRevisionId` | `string` Required. The ID of the template revision to create. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1/projects.locations.spaces.catalogs.templates.revisions#CatalogTemplateRevision`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/application-design-center/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `designcenter.catalogTemplateRevisions.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).